package com.ss.android.ugc.aweme.setting.services;

import X.0AA;
import X.3O9;
import X.3p3;
import X.3wc;
import X.3x6;
import X.3x8;
import X.4FD;
import X.Bb8;
import X.BbA;
import android.app.Activity;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.base.api.BaseResponse;
import java.util.List;
import java.util.Locale;
import java.util.Map;

public interface ISettingService {
    static {
        Covode.recordClassIndex(106252);
    }

    3O9 LIZ(Context context);

    BaseResponse LIZ(String str, int i);

    String LIZ(int i);

    String LIZ(String str, Map<String, String> map);

    String LIZ(Locale locale);

    List<4FD> LIZ();

    Locale LIZ(String str);

    void LIZ(int i, String str);

    void LIZ(Activity activity);

    void LIZ(Context context, 3wc r2);

    void LIZ(String str, String str2, Context context);

    void LIZ(boolean z, 0AA r2);

    boolean LIZ(Activity activity, String str, Integer num);

    boolean LIZIZ();

    boolean LIZIZ(Context context);

    boolean LIZJ();

    boolean LIZLLL();

    boolean LJ();

    boolean LJFF();

    boolean LJI();

    String LJII();

    List<3O9> LJIIIIZZ();

    Map<String, 3O9> LJIIIZ();

    String LJIIJ();

    String LJIIJJI();

    String LJIIL();

    String LJIILIIL();

    boolean LJIILJJIL();

    boolean LJIILL();

    Locale LJIILLIIL();

    void LJIIZILJ();

    BbA<Bb8<BaseResponse>, 3x8> LJIJ();

    String LJIJI();

    String getReleaseBuildString();

    BbA<Bb8<BaseResponse>, 3x8> providePrivateSettingChangePresenter();

    BbA<Bb8<BaseResponse>, 3x8> providePushSettingChangePresenter();

    BbA<Bb8<3p3>, 3x6> providePushSettingFetchPresenter();
}
